org.apache.lucene.replicator.nrt

## Class FileMetaData

- java.lang.Object
- - org.apache.lucene.replicator.nrt.FileMetaData

    public class FileMetaData
    extends Object

Holds metadata details about a single file that we use to confirm two files (one remote, one local) are in fact "identical".

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Field Summary

Fields
`long` `checksum`
`byte[]` `footer`
`byte[]` `header`
`long` `length`

### Constructor Summary

Constructors
Constructor and Description
`FileMetaData(byte[] header, byte[] footer, long length, long checksum)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### header

    public final byte[] header

#### footer

    public final byte[] footer

#### length

    public final long length

#### checksum

    public final long checksum

### Constructor Detail

#### FileMetaData

    public FileMetaData(byte[] header,
                        byte[] footer,
                        long length,
                        long checksum)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`